scalar DateTime

type Query {

    userInfo: User
    getCurrentUser: User

    getUser(id: ID!): User
    getUsers: [User]

	getUserByExternalId(external_system: String external_id: String): User

}

type Mutation {

    registerUser(input: UserInput): User

    changeUser(_id: ID! input: UserInput ): User
    changeCurrentUser(input: UserCurrentInput ): User
    changeUserRoles(_id: ID! roles: [String]! ): User
    connect(user_code:String): User
}


## one-time password
## password

input UserInput{
    email: String
    phone_number: String
    name: String
    middle_name: String
    family_name: String
    birthdate: DateTime
    gender: String

    telegram_id: Int
    vk_id: String

    password: String
    is_blocked: Boolean
}

input UserCurrentInput{
    email: String
    phone_number: String
    name: String
    middle_name: String
    family_name: String
    birthdate: DateTime
    gender: String

    password: String
}


type User {
    _id: ID
    sub: String
    roles: [String]

    email: String
    phone_number: String
    telegram_id: Int
    vk_id: String
    name: String
	title: String
    middle_name: String
    family_name: String
    full_name: String
    birthdate: DateTime
    updated_at: DateTime
    gender: String

    is_blocked: Boolean
}
